
                  WP   -   MANUAL                            15/12/89  AJD
                  ---------------


1.  OVERVIEW
------------

WP is a straight text editor which was designed to be a useful DOS utility
program.  In order to fulfil this goal WP has the following features:

      * Files are stored and loaded in straight text format.
      * WP files are fully compatible with DOS's TYPE and EDLIN.
      * The main WP program is small so that load time is minimal.
      * WP automatically configures to CGA (80 column) or MDA display adaptors.







                            -- WP MANUAL - PAGE 1 --

2.  SUMMARY OF COMMANDS
-----------------------

2.1  CURSOR MOVEMENT COMMANDS

<Left>     - Move left one character.
<Right>    - Move right one character.
<Up>       - Move left 80 characters (one line) or until a carriage
             return is reached (which ever comes first).
<Down>     - Move right 80 characters (one line) or until a carriage
             return is reached (which ever comes first).

<Home>     - Move to start of current line.
<End>      - Move to end of current line.
<Pg Up>    - Move up one screen.
<Pg Down>  - Move down one screen.

<Ctrl> <Pg Up>    - Move to top of text file.
<Ctrl> <Pg Down>  - Move to bottom of text file.
<Ctrl> <Left>     - Skip left across line.

                            -- WP MANUAL - PAGE 2 --

<Ctrl> <Right>    - Skip right across line.

<Tab>  - Move cursor to column 10.  This key is useful when programming in
         Assembler.  It moves the cursor to the start of the mnemonics field.


2.2  EDITING COMMANDS

<Del>      - Delete character at current cursor position.
<BackSpc>  - Delete character to left of cursor.
<Ctrl> T   - Delete the word to right of the cursor.
<Ctrl> Y   - Delete the current line.

<Insert>   - Toggle the text insertion/overwrite mode. The current insertion
             mode is indicated at the top of the screen.

2.3  BLOCK COMMANDS

<Ctrl> B  - Mark block start, mark block end, or remove block markers.  This
            command inserts special block marker characters into the text to

                            -- WP MANUAL - PAGE 3 --

            indicate the start and the end of a block.
<Ctrl> C  - Copy the marked block to the current cursor position.
<Ctrl> M  - Move the marked block to the current cursor position and remove
            block markers.
<Ctrl> D  - Delete the marked block and remove the block markers.

<Ctrl> W  - Write the marked block to disk as a normal text file.
<Ctrl> R  - Read and insert a text file from disk into the current text.


2.4  MAIN COMMANDS

<F1> - Display help page.  This gives a summary of the commands available.
<F2> - Save current text file to disk.
<F3> - Load new text file from disk.
<F4> - Format and print the current file to printer or disk.
<F5> - Display a directory and/or change directories.  If you change the path-
       name displayed by this command then the working directory will be
       changed.  Otherwise, the contents of the current directory are
       displayed.

                            -- WP MANUAL - PAGE 4 --

<Ctrl> Q  - Quit the word processor.  If any changes have been made to the
            current file then you are asked if you are sure that you don't
            want save these changes before exiting to DOS.


2.5  MISCELLANEOUS COMMANDS

<Ctrl> F  - Find a string after the current cursor position.  Be careful to
            type the string you are searching for in the same case (e.g.
            uppercase) as the string is in the text.  The find command is
            case sensitive.

<Ctrl> V  - Show carriage returns.  This command makes the end of lines
            visible.

<Alt> C   - Display a line of the character set.  Press <Alt> C again to see
            the next line.  This command allows you to use the special graphics
            characters which are not shown on the keyboard.  To enter one of
            these special characters into your text, hold <Alt> down and type
            a three digit number corresponding to that shown by <Alt> C. When

                            -- WP MANUAL - PAGE 5 --

            the <Alt> key is released, the character will be entered into your
            text.

<Esc>     - The escape key will refresh the screen if pressed from text entry
            mode.  If escape is pressed from the prompt of a command then its
            function is to return you to text entry mode without executing the
            command.

<F9>      - Restore deleted text.  This command restores text one character at
            a time after you have accidently deleted it.











                            -- WP MANUAL - PAGE 6 --

3.  THE PROGRAMS INCLUDED WITH WP
---------------------------------

WP consists of the following programs:

WP        - The main program of the word processor.
WP-SETUP  - A program to configure WP.
WP-HELP   - A program which displays a summary page of available commands.
WP-PRINT  - The printing program.  This is called by WP when <F4> is pressed
            and should not be run by itself from DOS.


3.1  WP

This is the main program that is executed from the DOS command line.  If a file
name is typed after WP on the DOS command line then this file is loaded into
the word processor immediately.  The file name after WP is optional.

Upon executing WP you are placed in text entry mode.  The bottom line on the
screen shows the major commands which are available.  The top line shows the

                            -- WP MANUAL - PAGE 7 --

number of bytes of memory available for use, the current line number, the
current insert status, and the name of the current text file (if named).

When you are typing text into WP, do not worry if words wrap around the right
side of the screen.  The best way to use WP is just to type the text normally
and then use the Print command to do the formatting for you (Print allows you
to send the formatted output to disk or printer).

See section 2 above for a summary of the commands available from WP.


3.2  WP-SETUP

This program should be run before using WP.  Its purpose is to tell WP which
directory contains WP-HELP and WP-PRINT.  WP must know this so that no matter
what directory you are in when you execute WP, it can always access these
programs.  The idea is to place all the WP programs in the same directory and
then use the WP-SETUP program to configure WP for this directory.  It is useful
to install WP in your DOS directory (if you are using a hard disk).


                            -- WP MANUAL - PAGE 8 --

When WP-SETUP is typed from the DOS command line with no arguments it shows
you the format that is expected.


3.3  WP-HELP

This program is called from WP when you press <F1>.  It simply displays a
single page summary of all the commands available from WP.


3.4  WP-PRINT

This is the program that performs the work of the <F4> command for WP.  It is
written as a separate program only to keep the size of WP to a minimum.  WP
passes the offset and segment of the text to be printed to WP-PRINT, so it is
not advisable to attempt running WP-PRINT directly from DOS.

WP-PRINT prompts you to enter the various dimensions of the page to be printed
and the device to which output is to be sent.  After these parameters have
been input (or the defaults used), WP-PRINT goes through the text line-by-line

                            -- WP MANUAL - PAGE 9 --

and fits the text into lines of the correct length.  If a word falls on the
boundary of two lines then the word is 'wrapped' around to the start of the
next line.  This gives a straight left margin and a ragged right margin.

If output is directed to disk then the formatted text is saved in the current
directory as  PRINTOUT.TXT.















                           -- WP MANUAL - PAGE 10 --

4.  SOURCE CODE
---------------

The 8088 assembler source code of all the programs that comprise WP are
included with WP.  These files are:

WP.ASM
WP-SETUP.ASM
WP-HELP.ASM
WP-PRINT.ASM

All were assembled using ASSEMBLE.COM and the last three were entered using
WP.COM.




                            ---  END OF MANUAL  ---



                           -- WP MANUAL - PAGE 11 --

